### Function

# Gimp heal_default

since: 2.4

#### Declaration [src]

    gboolean
    gimp_heal_default (
      GimpDrawable* drawable,
      gsize num_strokes,
      const gdouble* strokes
    )

#### Description [src]

Heal from the source to the dest drawable using the current brush

This tool heals from the source drawable starting at the specified source coordinates to the dest drawable. This function performs exactly the same as the `gimp_heal()` function except that the tools arguments are obtained from the healing option dialog. It this dialog has not been activated then the dialogs default values will be used.

Available since: 2.4

#### Parameters

`drawable`

  Type: `GimpDrawable`

  The affected drawable.

  The data is owned by the caller of the function.

`num_strokes`

  Type: `gsize`

  Number of stroke control points (count each coordinate as 2 points).

`strokes`

  Type: An array of `double`

  Array of stroke coordinates: { s1.x, s1.y, s2.x, s2.y, …, sn.x, sn.y }.

  The length of the array is specified in the `num_strokes` argument.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

TRUE on success.